%define	upstream_name	 File-Find-Rule
%define upstream_version 0.34

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Alternative interface to File::Find
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Number::Compare)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Glob) >= 0.70.0
BuildArch:  noarch

%description 
File::Find::Rule is a friendlier interface to File::Find. It allows you to
build rules which specify the desired files and directories.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml
%{perl_vendorlib}/File
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.340.0-3pclos2017
- rebuild against updates

